The Spring Framework

## org.springframework.beans.factory.access
Class BootstrapException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.factory.access.BootstrapException

All Implemented Interfaces:
  Serializable

    public class BootstrapException

extends FatalBeanException

Exception thrown if a bean factory could not be loaded by a bootstrap class.

Since:
  02.12.2002
Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`BootstrapException(String msg)` Create a new BootstrapException with the specified message.
`BootstrapException(String msg, Throwable cause)` Create a new BootstrapException with the specified message and root cause.

Method Summary

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BootstrapException

    public BootstrapException(String msg)

  Create a new BootstrapException with the specified message.

  Parameters:
    `msg` - the detail message

### BootstrapException

    public BootstrapException(String msg,
                              Throwable cause)

  Create a new BootstrapException with the specified message and root cause.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

The Spring Framework

Copyright © 2002-2008 The Spring Framework.